Bug 123492 - [GTK] Undefined references to RenderObject::style() when disabling video support
Summary: [GTK] Undefined references to RenderObject::style() when disabling video support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 21:30 PDT by Ben Boeckel
Modified: 2013-10-31 02:13 PDT (History)
3 users (show)

See Also:


Attachments
config.log (77.02 KB, application/octet-stream)
2013-10-30 18:05 PDT, Ben Boeckel
no flags Details
Patch (1.96 KB, patch)
2013-10-31 01:47 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Boeckel 2013-10-29 21:30:09 PDT
Looks like something got nuked (similar errors with WebKit1 support enabled as well):

  CXXLD    libwebkit2gtk-3.0.la
  CXXLD    Programs/WebKitWebProcess
  CXXLD    Programs/WebKitPluginProcess
  CCLD     Programs/MiniBrowser
./.libs/libwebkit2gtk-3.0.so: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
collect2: error: ld returned 1 exit status
make[1]: *** [Programs/WebKitWebProcess] Error 1
./.libs/libwebkit2gtk-3.0.so: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
collect2: error: ld returned 1 exit status
make[1]: *** [Programs/MiniBrowser] Error 1
Source/WebCore/platform/gtk/.libs/libWebCoreGtk2_la-RenderThemeGtk2.o: In function `paintToggle':
/home/boeckb/misc/code/webkit-git/b/../Source/WebCore/platform/gtk/RenderThemeGtk2.cpp:166: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
Source/WebCore/platform/gtk/.libs/libWebCoreGtk2_la-RenderThemeGtk2.o: In function `_ZN7WebCore14RenderThemeGtk11paintButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE':
/home/boeckb/misc/code/webkit-git/b/../Source/WebCore/platform/gtk/RenderThemeGtk2.cpp:241: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
Source/WebCore/platform/gtk/.libs/libWebCoreGtk2_la-RenderThemeGtk2.o: In function `_ZN7WebCore14RenderThemeGtk14paintTextFieldEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE':
/home/boeckb/misc/code/webkit-git/b/../Source/WebCore/platform/gtk/RenderThemeGtk2.cpp:432: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
Source/WebCore/platform/gtk/.libs/libWebCoreGtk2_la-RenderThemeGtk2.o: In function `_ZN7WebCore14RenderThemeGtk16paintSliderTrackEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE':
/home/boeckb/misc/code/webkit-git/b/../Source/WebCore/platform/gtk/RenderThemeGtk2.cpp:473: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
/home/boeckb/misc/code/webkit-git/b/../Source/WebCore/platform/gtk/RenderThemeGtk2.cpp:486: undefined reference to `_ZNK7WebCore12RenderObject5styleEv'
Source/WebCore/platform/gtk/.libs/libWebCoreGtk2_la-RenderThemeGtk2.o:/home/boeckb/misc/code/webkit-git/b/../Source/WebCore/platform/gtk/RenderThemeGtk2.cpp:501: more undefined references to `_ZNK7WebCore12RenderObject5styleEv' follow
Comment 1 Zan Dobersek 2013-10-29 23:32:37 PDT
Can you please attach the config.log file?
Comment 2 Ben Boeckel 2013-10-30 18:05:09 PDT
Created attachment 215588 [details]
config.log

This is the config.log with webkit1 disabled.
Comment 3 Zan Dobersek 2013-10-31 01:35:40 PDT
Thanks. Uploading a fix shortly.
Comment 4 Zan Dobersek 2013-10-31 01:47:22 PDT
Created attachment 215630 [details]
Patch
Comment 5 Carlos Garcia Campos 2013-10-31 01:52:39 PDT
Comment on attachment 215630 [details]
Patch

Thanks!
Comment 6 Zan Dobersek 2013-10-31 02:12:59 PDT
Comment on attachment 215630 [details]
Patch

Clearing flags on attachment: 215630

Committed r158355: <http://trac.webkit.org/changeset/158355>
Comment 7 Zan Dobersek 2013-10-31 02:13:08 PDT
All reviewed patches have been landed.  Closing bug.